### Signal

# WPEPlatform GamepadManager::device-added

#### Declaration

    void
    device_added (
      WPEGamepadManager* self,
      WPEGamepad* gamepad,
      gpointer user_data
    )

#### Description [src]

Emitted when a gamepad device is added.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`gamepad`

  Type: `WPEGamepad`

  The `WPEGamepad` added.

  The data is owned by the caller of the function.